const darkModeToggle = document.getElementById('dark_mode');

function loadTheme() {
  if (localStorage.getItem('darkMode') === 'true') {
    document.documentElement.classList.add('dark-mode');
    darkModeToggle.checked = true;
  }
};
loadTheme();

darkModeToggle.addEventListener('click', () => {
  darkModeToggle.disabled = true;

  setTimeout(() => {
    const isDarkMode = darkModeToggle.checked;
    document.documentElement.classList.toggle('dark-mode', isDarkMode);
    localStorage.setItem('darkMode', isDarkMode);
    
    // 1 सेकंड बाद बटन को फिर से एनेबल करें
    darkModeToggle.disabled = false;
  }, 400); // 1000 मिलीसेकंड = 1 सेकंड
});

// बटन के क्लिक इवेंट को हैंडल करें
darkModeToggle.addEventListener('click', () => {
  // बटन को 1 सेकंड के लिए डिसेबल करें
  darkModeToggle.disabled = true;

  setTimeout(() => {
    // डार्क मोड स्विच की स्थिति को बदलें और एक ही समय में डार्क मोड को चालू या बंद करें
    const isDarkMode = darkModeToggle.checked;
    darkModeToggle.checked = isDarkMode;
    document.documentElement.classList.toggle('dark-mode', isDarkMode);
    localStorage.setItem('darkMode', isDarkMode);
    
    // 1 सेकंड बाद बटन को फिर से एनेबल करें
    darkModeToggle.disabled = false;
  }, 400); // 1000 मिलीसेकंड = 1 सेकंड
});